Package it.ernytech.tdlib

## Class TdApi.MessageText

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.MessageContent
    - - it.ernytech.tdlib.TdApi.MessageText

Enclosing class:
  TdApi

    public static class TdApi.MessageText
    extends TdApi.MessageContent

A text message.

### Field Summary

Fields
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`TdApi.FormattedText` `text` Text of the message.
`TdApi.WebPage` `webPage` A preview of the web page that's mentioned in the text; may be null.

### Constructor Summary

Constructors
`MessageText()` Default constructor.
`MessageText​(TdApi.FormattedText text, TdApi.WebPage webPage)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Object

`toString`

### Field Detail

#### text

    public TdApi.FormattedText text

Text of the message.

#### webPage

    public TdApi.WebPage webPage

A preview of the web page that's mentioned in the text; may be null.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### MessageText

    public MessageText()

Default constructor.

#### MessageText

    public MessageText​(TdApi.FormattedText text,
                       TdApi.WebPage webPage)

Constructor for initialization of all fields.

Parameters:
  `text` - Text of the message.
  `webPage` - A preview of the web page that's mentioned in the text; may be null.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR